Update a userCopy Pageput https://budibase.app/api/public/v1/users/{userId}Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamsuserIdstringrequiredThe ID of the user which this request is targeting.Body ParamsemailstringrequiredThe email address of the user, this must be unique.passwordstringThe password of the user if using password based login - this will never be returned. This can be left out of subsequent requests (updates) and will be enriched back into the user structure.statusstringenumThe status of the user, if they are active.activeAllowed:activefirstNamestringThe first name of the userlastNamestringThe last name of the userforceResetPasswordbooleanIf set to true forces the user to reset their password on first login.truefalsebuilderobjectDescribes if the user is a builder user or not. This field can only be set on a business or enterprise license.builder objectadminobjectDescribes if the user is an admin user or not. This field can only be set on a business or enterprise license.admin objectrolesobjectContains the roles of the user per app (assuming they are not a builder user). This field can only be set on a business or enterprise license.roles objectResponse 200Returns the updated user.Updated 7 months ago